> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Box AI Studio APIを使用して、カスタムAIエージェントの構成を更新します。

# AIエージェントの更新

export const MultiRelatedLinks = ({sections = []}) => {
  if (!sections || sections.length === 0) {
    return null;
  }
  return <div className="space-y-8">
      {sections.map((section, index) => <RelatedLinks key={index} title={section.title} items={section.items} />)}
    </div>;
};

export const RelatedLinks = ({title, items = []}) => {
  const getBadgeClass = badge => {
    if (!badge) return "badge-default";
    const badgeType = badge.toLowerCase().replace(/\s+/g, "-");
    return `badge-${badge === "ガイド" ? "guide" : badgeType}`;
  };
  if (!items || items.length === 0) {
    return null;
  }
  return <div className="my-8">
      {}
      <h3 className="text-sm font-bold uppercase tracking-wider mb-4">{title}</h3>

      {}
      <div className="flex flex-col gap-3">
        {items.map((item, index) => <a key={index} href={item.href} className="py-2 px-3 rounded related_link hover:bg-[#f2f2f2] dark:hover:bg-[#111827] flex items-center gap-3 group no-underline hover:no-underline border-b-0">
            {}
            <span className={`px-2 py-1 rounded-full text-xs font-semibold uppercase tracking-wide flex-shrink-0 ${getBadgeClass(item.badge)}`}>
              {item.badge}
            </span>

            {}
            <span className="text-base">{item.label}</span>
          </a>)}
      </div>
    </div>;
};

export const Link = ({href, children, className, ...props}) => {
  const localizedHref = localizeLink(href);
  return <a href={localizedHref} className={className} {...props}>
      {children}
    </a>;
};

<Warning>
  Box AI Studioは、Enterprise Advancedアカウントでのみ使用できます。
</Warning>

`PUT /2.0/ai_agents/{id}`エンドポイントは、カスタムAIエージェントの名前、状態、機能、アクセス制御を更新します。

## 開始する前に

Platformアプリを作成し、開発者トークンを生成するには、<Link href="/guides/ai-studio/getting-started-ai-studio">AI Studioの使い方</Link>の手順を完了していることを確認してください。

## リクエストの送信

<CodeGroup>
  ```sh cURL theme={null}
  curl -i -X PUT "https://api.box.com/2.0/ai_agents/1234567890" \
       -H "authorization: Bearer <ACCESS_TOKEN>"
  ```

  ```typescript Node/TypeScript v10 theme={null}
  await client.aiStudio.updateAiAgentById(createdAgent.id, {
    name: agentName,
    accessState: 'enabled',
    ask: new AiStudioAgentAsk({ accessState: 'disabled', description: 'desc2' }),
  } satisfies CreateAiAgentInput);
  ```

  ```python Python v10 theme={null}
  client.ai_studio.update_ai_agent_by_id(
      created_agent.id,
      agent_name,
      "enabled",
      ask=AiStudioAgentAsk(access_state="disabled", description="desc2"),
  )
  ```

  ```cs .NET v10 theme={null}
  await client.AiStudio.UpdateAiAgentByIdAsync(agentId: createdAgent.Id, requestBody: new CreateAiAgent(name: agentName, accessState: "enabled") { Ask = new AiStudioAgentAsk(accessState: "disabled", description: "desc2") });
  ```

  ```swift Swift v10 theme={null}
  try await client.aiStudio.updateAiAgentById(agentId: createdAgent.id, requestBody: CreateAiAgent(name: agentName, accessState: "enabled", ask: AiStudioAgentAsk(accessState: "disabled", description: "desc2")))
  ```

  ```java Java v10 theme={null}
  client.getAiStudio().updateAiAgentById(createdAgent.getId(), new CreateAiAgent.Builder(agentName, "enabled").ask(new AiStudioAgentAsk("disabled", "desc2")).build())
  ```
</CodeGroup>

### パラメータ

コールを実行するには、以下のパラメータを渡す必要があります。必須のパラメータは**太字**で示されています。

| パラメータ              | 説明                                                                                                                                                                                                                                                                                               | 例                                                                         |
| ------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------- |
| **`type`**         | クエリの処理に使用されるエージェントのタイプ。                                                                                                                                                                                                                                                                          | \`\`\`\`                                                                  |
| **`name`**         | AIエージェントの名前。                                                                                                                                                                                                                                                                                     | マイAIエージェント                                                                |
| **`access_state`** | AIエージェントの状態。値は`enabled`、`disabled`のいずれかです。                                                                                                                                                                                                                                                       | `enabled`                                                                 |
| `icon_reference`   | AIエージェントのアイコン参照。これは、URL `https://cdn01.boxcdn.net/app-assets/aistudio/avatars/<file_name>`の形式で指定する必要があります。この場合、`file_name`に使用可能な値は`logo_boxAi.png`、`logo_stamp.png`、`logo_legal.png`、`logo_finance.png`、`logo_config.png`、`logo_handshake.png`、`logo_analytics.png`、`logo_classification.png`です。 | `https://cdn01.boxcdn.net/app-assets/aistudio/avatars/logo_analytics.svg` |
| `allowed_entities` | 許可するユーザーまたはグループのリスト。                                                                                                                                                                                                                                                                             |                                                                           |
| `ask`              | 質問に使用されるAIエージェント。                                                                                                                                                                                                                                                                                | `ask`                                                                     |
| `extract`          | 抽出に使用されるAIエージェント。                                                                                                                                                                                                                                                                                |                                                                           |
| `text_gen`         | テキストの生成に使用されるAIエージェント。                                                                                                                                                                                                                                                                           |                                                                           |

<RelatedLinks
  title="関連するガイド"
  items={[
{ label: translate("Developer Tokens"), href: "/guides/authentication/tokens/developer-tokens", badge: "GUIDE" },
{ label: translate("Ask questions to Box AI"), href: "/guides/box-ai/ai-tutorials/ask-questions", badge: "GUIDE" },
{ label: translate("Override AI model configuration"), href: "/guides/box-ai/ai-tutorials/default-agent-overrides", badge: "GUIDE" },
{ label: translate("Generate text with Box AI"), href: "/guides/box-ai/ai-tutorials/generate-text", badge: "GUIDE" },
{ label: translate("Extract metadata from file (structured)"), href: "/guides/box-ai/ai-tutorials/extract-metadata-structured", badge: "GUIDE" },
{ label: translate("Extract metadata from file (freeform)"), href: "/guides/box-ai/ai-tutorials/extract-metadata", badge: "GUIDE" }
]}
/>
